import greenfoot.*;  
import java.util.List;
public class Counter  extends Actor
{
   private int unitsDigit;
   private int tensDigit;
   private int hundredsDigit;
   private GreenfootImage counter;
   private GreenfootImage []digits;   
   public Counter(){
     digits = new GreenfootImage[10];
     for(int i=0; i<10; i++){
        digits[i] = new GreenfootImage(i+".png");
        digits[i].scale(40,40);
    }
     counter = new GreenfootImage(120,40);
   }    
   public void act(){
       counter.clear();
       counter.drawImage(digits[hundredsDigit], 0, 0);
       counter.drawImage(digits[tensDigit], 40, 0);
       counter.drawImage(digits[unitsDigit], 80, 0);
       setImage(counter);
   }    
   public int getPoints(){
       int numPoints = unitsDigit + (tensDigit*10) + (hundredsDigit*100);
       return numPoints;
   }   
   public void increases(){
        unitsDigit++;
        if(unitsDigit%10 == 0){
            unitsDigit = 0;
            tensDigit++;
            if(tensDigit%10 == 0){
                tensDigit = 0;
                if(hundredsDigit<10)
                hundredsDigit++;
            }
        }        
   }
   public void decreses(){
       if(isZero()==false){
            unitsDigit--;
            if(unitsDigit==-1){
                unitsDigit=9;
                tensDigit--;
                if(tensDigit == -1){
                    tensDigit = 9;
                    if(hundredsDigit>0)
                        hundredsDigit--;
                    }
                }
       }
   }   
   public void decreases(){
       if(getPoints() >0)
         unitsDigit--;
   }   
   public boolean isZero(){
        boolean ret=false;
        if(getPoints()==0)
          ret=true;
        return ret;
  }   
}